Download it now!
Bug 132935 - Submenu crashes for gtk3 only
Summary: Submenu crashes for gtk3 only
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-10 22:01 UTC by Jim Raykowski
Modified: 2020-05-12 00:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
video demo of crash (996.12 KB, video/x-matroska)
2020-05-10 22:01 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2020-05-10 22:01:18 UTC
Created attachment 160632 [details]
video demo of crash

Stumbled across this when adding a submenu to the Navigator content view to provide UI for outline content folding. Outline content folding is WIP. To repro this bug apply the patch found here: 
https://gerrit.libreoffice.org/c/core/+/93908

Steps to repro:
1) apply the formentioned patch
2) open a Writer file with an outline structure or create one by adding one or more Headings to the document
3) open the Navigator (Menu > View > Sidebar then select Navigator tab in the tab bar or F5 for floating version)
4) left mouse click on the Headings entry in the navigation content view to select it
5) right mouse click on the Headings entry to show the context menu
6) select the Outline Content submenu
7) either select an entry in the submenu or click away from it

Result: crash

Version: 7.0.0.0.alpha0+
Build ID: 02a186a59aecbad73ecc3cbc004505ab0fbff5bb
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Jim Raykowski 2020-05-10 22:22:48 UTC
proposed patch:
https://gerrit.libreoffice.org/c/core/+/93943
Comment 2 Commit Notification 2020-05-11 15:15:42 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3951a71777038e635e9747684806678c1c7f6612

tdf#132935 fix gtk3 submenu crash

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.